| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Windows.Invisible |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Class Hierarchy Types Constructors Methods
Description
A widget which is not displayed The `Invisible` widget is used internally in GTK+, and is probably not very useful for application developers. It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.
Synopsis
data Invisible
invisibleNew :: IO Invisible
invisibleNewForScreen :: Screen -> IO Invisible
invisibleSetScreen :: Invisible -> Screen -> IO ()
invisibleGetScreen :: Invisible -> IO Screen
Class Hierarchy
     | GObject
     | +----Object
     | +----Widget
     | +----Invisible
Types
data Invisible
Instances
Eq Invisible |
Ord Invisible |
GObjectClass Invisible |
InvisibleClass Invisible |
WidgetClass Invisible |
ObjectClass Invisible |
Constructors
invisibleNew :: IO Invisible
Creates a new `Invisible`.
invisibleNewForScreen
:: Screen | `screen` - a `Screen` which identifies on which the new `Invisible` will be created.
-> IO Invisible |
Creates a new `Invisible` object for a specified screen Available since Gdk version 2.2
Methods
invisibleSetScreen
:: Invisible |
-> Screen | `screen` - the `Screen` to set
-> IO () |
Sets the `Screen` where the `Invisible` object will be displayed. Available since Gdk version 2.2
invisibleGetScreen :: Invisible -> IO Screen
Returns the `Screen` object associated with invisible Available since Gdk version 2.2
Produced by Haddock version 2.7.2